# Generated by Django 4.1.3 on 2023-01-10 12:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('place_app', '0014_place_maximum_available_seats_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='PlaceOpeningHours',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('weekday', models.IntegerField(choices=[(1, 'Monday'), (2, 'Tuesday'), (3, 'Wednesday'), (4, 'Thursday'), (5, 'Friday'), (6, 'Saturday'), (7, 'Sunday')], verbose_name='Week day')),
                ('from_hour', models.TimeField(verbose_name='From hour')),
                ('to_hour', models.TimeField(verbose_name='To hour')),
                ('place', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='opening_hours', to='place_app.place', verbose_name='Place')),
            ],
            options={
                'ordering': ('weekday', 'from_hour'),
            },
        ),
    ]
